﻿Imports Syncfusion.Windows.Shared
Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text
Imports System.Threading.Tasks
Imports System.Windows
Imports System.Windows.Controls
Imports System.Windows.Data
Imports System.Windows.Documents
Imports System.Windows.Input
Imports System.Windows.Media
Imports System.Windows.Media.Imaging
Imports System.Windows.Navigation
Imports System.Windows.Shapes
Imports Syncfusion.Windows.Tools.Controls

Namespace CalenderEditVisualMode
	''' <summary>
	''' Interaction logic for MainWindow.xaml
	''' </summary>
	Partial Public Class MainWindow
		Inherits ChromelessWindow

		Public Sub New()
			InitializeComponent()
		End Sub

		' Visual Mode Changed In CalenderEdit

		#Region "VisualMode Changed"

		Private Sub comboBoxAdv1_SelectionChanged(ByVal sender As Object, ByVal e As SelectionChangedEventArgs)

			If (TryCast(sender, ComboBoxAdv)).SelectedIndex = 0 Then
				' Days VisualMode
				Me.calendarEdit.VisualMode = CalendarVisualMode.Days
			ElseIf (TryCast(sender, ComboBoxAdv)).SelectedIndex =1 Then
				' Months VisualMode
				Me.calendarEdit.VisualMode = CalendarVisualMode.Months
			ElseIf (TryCast(sender, ComboBoxAdv)).SelectedIndex =2 Then
				' WeekNumbers VisualMode
				Me.calendarEdit.VisualMode = CalendarVisualMode.WeekNumbers
			ElseIf (TryCast(sender, ComboBoxAdv)).SelectedIndex = 3 Then
				' Years VisualMode
				Me.calendarEdit.VisualMode = CalendarVisualMode.Years
			ElseIf (TryCast(sender, ComboBoxAdv)).SelectedIndex = 4 Then
				' YearsRange VisualMode
				Me.calendarEdit.VisualMode = CalendarVisualMode.YearsRange
			End If

		End Sub
		#End Region
	End Class
End Namespace
